:root {

    /* colors */
    --color-black: #000000;
    --color-white: #ffffff;
    --color-yellow: #ffdd00;
    --color-yellow-50: #ffdd0099;
    --color-grey: #575756;
    --color-lightgrey: #dedee3;
    --color-ultralightgrey: #f3f3f6;

    /* https://clamp.font-size.app/   1200 // 768 // 360 */

    /* font sizes */
    /* h1: 62 // 54 // 30 */
    /* h2: 46 // 38 // 28 */
    /* h3: 40 // 32 // 22 */
    /* h4: 34 // 30 // 20 */
    /* h5: 30 // 26 // 18 */
    /* h6: 20 // 18 // 16 */
    /* copy normal: 16 // 16 // 16 */
    /* copy large:  19 // 18 // 18 */
    /* quote:    26 // 22 // 16 */

    --header-maxwidth: 1920px;
    --header-maxwidthsmall: 1200px;
    --header-topbar: 20px;

}

/* ==============================
   FONT-SIZE MIT CLAMP() ALS VARIABLE + MEDIA QUERIES
   ============================== */
/*
Beispiel-Liste der Schriftgrößen (px),
die als Input verwendet werden kann:*/
/* h1: 62 // 54 // 30 */
/* h2: 46 // 38 // 28 */
/* h3: 40 // 32 // 22 */
/* h4: 34 // 30 // 20 */
/* h5: 30 // 26 // 18 */
/* h6: 20 // 18 // 16 */
/* copy normal: 16 // 16 // 16 */
/* copy large:  19 // 18 // 18 */
/* quote:    26 // 22 // 16 */


:root {
    /* Bereich 1200px – 768px */
    --fs-h1: clamp(3.3750rem, 2.4861rem + 1.8519vw, 3.8750rem);
    /* max 62px, min 54px, vp 768–1200px */
    --fs-h2: clamp(2.3750rem, 1.8956rem + 1.3889vw, 2.8750rem);
    /* max 46px, min 38px, vp 768–1200px */
    --fs-h3: clamp(2.0000rem, 1.5694rem + 1.1111vw, 2.5000rem);
    /* max 40px, min 32px, vp 768–1200px */
    --fs-h4: clamp(2.1250rem, 1.8889rem + 0.7407vw, 2.1250rem);
    /* max 34px, min 30px, vp 768–1200px */
    --fs-h5: clamp(1.8750rem, 1.6736rem + 0.4629vw, 1.8750rem);
    /* max 30px, min 26px, vp 768–1200px */
    --fs-h6: clamp(1.2500rem, 1.0370rem + 0.4629vw, 1.1250rem);
    /* max 20px, min 18px, vp 768–1200px */
    --fs-copy-normal: clamp(1.0000rem, 1.0000rem + 0.0000vw, 1.0000rem);
    /* max 16px, min 16px, vp 768–1200px */
    --fs-copy-large: clamp(1.1875rem, 1.1250rem + 0.4629vw, 1.1875rem);
    /* max 19px, min 18px, vp 768–1200px */
    --fs-quote: clamp(1.6250rem, 1.3735rem + 0.9259vw, 1.6250rem);
    /* max 26px, min 22px, vp 768–1200px */

    --defaultunit: clamp(2.5000rem, 1.3889rem + 2.3148vw, 3.1250rem);
    /* min 40px, max 50px, vp 768–1200px */
    --decoline-height: clamp(0.3750rem, 0.0417rem + 0.6944vw, 0.5625rem);
    /* min 6px, max 9px, vp 768–1200px */
    --decoline-width: clamp(5.0000rem, 2.7778rem + 4.6296vw, 6.2500rem);
    /* min 80px, max 100px, vp 768–1200px */

    --corner-height: clamp(2.0000rem, 0.8889rem + 2.3148vw, 2.6250rem);
    /* min 32px, max 42px, vp 768–1200px */
    --corner-width: clamp(1.8750rem, 0.7639rem + 2.3148vw, 2.5000rem);
    /* min 30px, max 40px, vp 768–1200px */

    --space-extrasmall: clamp(0.0000rem, 0.0000rem + 0.0000vw, 0.0000rem);
    /* min 0px, max 0px, vp 768–1200px */
    --space-small: clamp(2.5000rem, 1.3889rem + 2.3148vw, 3.1250rem);
    /* min 40px, max 50px, vp 768–1200px */
    --space-medium: clamp(5.0000rem, 2.7778rem + 4.6296vw, 6.2500rem);
    /* min 80px, max 100px, vp 768–1200px */
    --space-large: clamp(7.5000rem, 4.1667rem + 6.9444vw, 9.3750rem);
    /* min 120px, max 150px, vp 768–1200px */
    --space-extralarge: clamp(10.0000rem, 5.5556rem + 9.2593vw, 12.5000rem);
    /* min 160px, max 200px, vp 768–1200px */


    /* Bereich 1500px – 360px */
    --footerimage-size: clamp(10.5625rem, 8.5297rem + 4.235vw, 12.5rem);
    /* max 200px bei 1500px, min 136px bei 360px */

    --footericon-size: clamp(4.1875rem, 2.6793rem + 3.1421vw, 5.625rem);
    /* max 90px bei 1500px, min 61px bei 360px */

}

/* Media Query für kleinere Viewports 767px – 360px */
@media (max-width: 767px) {
    :root {
        --fs-h1: clamp(1.8750rem, 0.5396rem + 5.8984vw, 3.3750rem);
        /* max 54px, min 30px, vp 360–767px */
        --fs-h2: clamp(1.7500rem, 0.4164rem + 4.9883vw, 2.3750rem);
        /* max 38px, min 28px, vp 360–767px */
        --fs-h3: clamp(1.3750rem, 0.2049rem + 4.3941vw, 2.0000rem);
        /* max 32px, min 22px, vp 360–767px */
        --fs-h4: clamp(1.2500rem, 0.2049rem + 3.5037vw, 2.0000rem);
        /* max 30px, min 20px, vp 360–767px */
        --fs-h5: clamp(1.1250rem, 0.0919rem + 3.1351vw, 1.6250rem);
        /* max 26px, min 18px, vp 360–767px */
        --fs-h6: clamp(1.1250rem, 0.0278rem + 2.0614vw, 1.1250rem);
        /* max 18px, min 16px, vp 360–767px */
        --fs-copy-normal: clamp(1.0000rem, 1.0000rem + 0.0000vw, 1.0000rem);
        /* max 16px, min 16px, vp 360–767px */
        --fs-copy-large: clamp(1.1250rem, 0.4164rem + 1.8611vw, 1.1250rem);
        /* max 18px, min 18px, vp 360–767px */
        --fs-quote: clamp(1.0000rem, 0.0000rem + 3.4563vw, 1.3750rem);
        /* max 22px, min 16px, vp 360–767px */

        --defaultunit: clamp(1.2500rem, 0.1443rem + 4.9140vw, 2.5000rem);
        /* min 20px, max 40px, vp 360–767px */
        --decoline-height: clamp(0.2500rem, 0.1394rem + 0.4914vw, 0.3750rem);
        /* min 4px, max 6px, vp 360–767px */
        --decoline-width: clamp(2.5000rem, 0.2887rem + 9.8280vw, 5.0000rem);
        /* min 40px, max 80px, vp 360–767px */

        --corner-height: clamp(1.2500rem, 0.5866rem + 2.9484vw, 2.0000rem);
        /* min 20px, max 32px, vp 360–767px */
        --corner-width: clamp(1.1875rem, 0.5794rem + 2.7027vw, 1.8750rem);
        /* min 19px, max 30px, vp 360–767px */

        --space-extrasmall: clamp(0.0000rem, 0.0000rem + 0.0000vw, 0.0000rem);
        /* min 0px, max 0px, vp 360–767px */
        --space-small: clamp(1.2500rem, 0.1443rem + 4.9140vw, 2.5000rem);
        /* min 20px, max 40px, vp 360–767px */
        --space-medium: clamp(2.5000rem, 0.2887rem + 9.8280vw, 5.0000rem);
        /* min 40px, max 80px, vp 360–767px */
        --space-large: clamp(3.7500rem, 0.4330rem + 14.7420vw, 7.5000rem);
        /* min 60px, max 120px, vp 360–767px */
        --space-extralarge: clamp(5.0000rem, 0.5774rem + 19.6560vw, 10.0000rem);
        /* min 80px, max 160px, vp 360–767px */

        --footerimage-size: clamp(8.5rem, 6.6801rem + 8.0882vw, 10.5625rem);
        --footericon-size: clamp(3.8125rem, 2.9853rem + 3.6765vw, 4.75rem);

    }
}



body {
    margin: 0;
    padding: 0;
    border: 0;
    font-family: Verdana, Geneva, Tahoma, DejaVu Sans, sans-serif;
    color: var(--color-black);
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

a {
    color: inherit;
}



/* Space */
.frame-space-before-extra-small {
    margin-top: var(--space-extrasmall);
}

.frame-space-before-small {
    margin-top: var(--space-small);
}

.frame-space-before-medium {
    margin-top: var(--space-medium);
}

.frame-space-before-large {
    margin-top: var(--space-large);
}

.frame-space-before-extra-large {
    margin-top: var(--space-extralarge);
}

.frame-space-after-extra-small {
    margin-bottom: var(--space-extrasmall);
}

.frame-space-after-small {
    margin-bottom: var(--space-small);
}

.frame-space-after-medium {
    margin-bottom: var(--space-medium);
}

.frame-space-after-large {
    margin-bottom: var(--space-large);
}

.frame-space-after-extra-large {
    margin-bottom: var(--space-extralarge);
}


/* Space */
.frame-space-before-sub-extra-small {
    margin-top: calc((-1) * var(--space-extrasmall));
    position: relative;
    z-index: 2;
}

.frame-space-before-sub-small {
    margin-top: calc((-1) * var(--space-small));
    position: relative;
    z-index: 2;
}

.frame-space-before-sub-medium {
    margin-top: calc((-1) * var(--space-medium));
    position: relative;
    z-index: 2;
}

@media (max-width: 1000px) {
}
.frame-space-before-sub-large {
    margin-top: calc((-1) * var(--space-large));
    position: relative;
    z-index: 2;
}

.frame-space-before-sub-extra-large {
    margin-top: calc((-1) * var(--space-extralarge));
    position: relative;
    z-index: 2;
}

.frame-space-after-sub-extra-small {
    margin-bottom: calc((-1) *var(--space-extrasmall));
    position: relative;
    z-index: 2;
}

.frame-space-after-sub-small {
    margin-bottom: calc((-1) *var(--space-small));
    position: relative;
    z-index: 2;
}

.frame-space-after-sub-medium {
    margin-bottom: calc((-1) *var(--space-medium));
    position: relative;
    z-index: 2;
}

.frame-space-after-sub-large {
    margin-bottom: calc((-1) *var(--space-large));
    position: relative;
    z-index: 2;
}

.frame-space-after-sub-extra-large {
    margin-bottom: calc((-1) *var(--space-extralarge));
    position: relative;
    z-index: 2;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 0 0.5em 0;
    padding: 0;
    line-height: 1.2em;
}


p {
    margin: 0 0 1em 0;
    padding: 0;
    font-size: var(--fs-copy-normal);
    line-height: 1.4em;
}

ul,
ol {
    margin: 0 0 1em 0;
    padding: 0;
    font-size: var(--fs-copy-normal);
    line-height: 1.4em;
}

main .ce-bodytext ul>li {
    background: url(../Icons/ulol-caret-black.svg) left 10px no-repeat;
    list-style-type: none;
    padding-left: 15px;
    border-bottom: 1px solid var(--color-yellow);
    padding-top: 5px;
    padding-bottom: 5px;
}

main .bgcolor-yellow .ce-bodytext ul>li,
.bubbleelement-bubble .ce-bodytext ul>li {
    border-bottom: 1px solid var(--color-white);
}

.ce-bodytext ul>li:last-child {
    border-bottom: 0;
}


.text-right {
    text-align: right;
}

.color-white {
    color: var(--color-white)
}

.color-lightgrey {
    color: var(--color-lightgrey)
}

.color-ultralightgrey {
    color: var(--color-ultralightgrey)
}

.color-yellow {
    color: var(--color-yellow);
}

.bgcolor-white {
    background-color: var(--color-white)
}


.bgcolor-lightgrey {
    background-color: var(--color-lightgrey)
}

.bgcolor-ultralightgrey {
    background-color: var(--color-ultralightgrey)
}

.bgcolor-yellow {
    background-color: var(--color-yellow);
}



/* Alle Elemente nutzen die Variablen */
.h-typ1 {
    font-size: var(--fs-h1);
}

.h-typ2 {
    font-size: var(--fs-h2);
}

.h-typ3 {
    font-size: var(--fs-h3);
}

.h-typ4 {
    font-size: var(--fs-h4);
}

.h-typ5 {
    font-size: var(--fs-h5);
}

.h-typ6 {
    font-size: var(--fs-h6);
}

.copy-normal {
    font-size: var(--fs-copy-normal);
}

.copy-large {
    font-size: var(--fs-copy-large);
}

.quote {
    font-size: var(--fs-quote);
}

.nomarginbottom {
    margin-bottom: 0;
}


.h-lineout::after {
    content: '';
    display: block;
    height: var(--decoline-height);
    width: calc(2 * var(--decoline-width));
    margin-left: calc(var(--defaultunit) * (-2));
    background-color: currentColor;
    margin-top: calc(0.5 * var(--defaultunit));
}

.h-line::after {
    content: '';
    display: block;
    height: var(--decoline-height);
    width: var(--decoline-width);
    background-color: currentColor;
    margin-top: calc(0.5 * var(--defaultunit));
}

.text-right.h-line::after {
    margin-left: auto;
}

.p-icon-marker {
    position: relative;
    padding-left: 45px;
    padding-top: 7px;
    font-weight: bold;
}

p.p-icon-marker::before {
    content: '';
    background: url(../Icons/marker-black.svg) center center no-repeat;
    background-size: auto 20px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 0;
    top: 0;
}


.p-icon-phone {
    position: relative;
    padding-left: 45px;
    padding-top: 7px;
    font-weight: bold;
}

p.p-icon-phone::before {
    content: '';
    background: url(../Icons/phone.svg) center center no-repeat;
    background-size: auto 20px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 0;
    top: 0;
}

.p-icon-email {
    position: relative;
    padding-left: 45px;
    padding-top: 7px;
    font-weight: bold;
}

p.p-icon-email::before {
    content: '';
    background: url(../Icons/email.svg) center center no-repeat;
    background-size: auto 20px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background-color: var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 0;
    top: 0;
}


.button {
    font-size: 15px;
    display: inline-block;
    line-height: 1;
    padding: 15px 20px;
    border: 1px solid var(--color-yellow);
    color: var(--color-black);
    text-decoration: none;
    transition-duration: 0.3s;
    font-weight: 700;
}

.button:hover {
    background-color: var(--color-yellow);
}

.button::after {
    content: url(../Icons/menu-arrow-right-black.svg);
    transition-duration: 0.3s;
    margin-left: 10px;
}

.button:hover::after {
    margin-left: 15px;
}

.hero-content .button::after {
    content: url(../Icons/menu-arrow-right.svg);
}

.hero-content .button:hover::after {
    content: url(../Icons/menu-arrow-right-black.svg);
}



.button-small {
    font-size: 15px;
    color: var(--color-black);
    text-decoration: none;
    transition-duration: 0.3s;
    position: relative;
    font-weight: 700;
}

.button-small::after {
    content: url(../Icons/menu-arrow-right-black.svg);
    transition-duration: 0.3s;
    margin-left: 10px;
}

.button-small:hover::after {
    margin-left: 15px;
}

.button-small::before {
    content: '';
    position: absolute;
    left: 0;
    width: 0;
    bottom: -1px;
    height: 1px;
    background-color: var(--color-yellow);
    transition: width 0.2s ease-in-out;
}

.button-small:hover::before {
    transition: width 0.2s ease-in-out;
    width: 100%;
}



.button-base {
    font-size: 15px;
    display: inline-block;
    line-height: 1;
    padding: 15px 20px;
    border: 1px solid var(--color-yellow);
    color: var(--color-black);
    text-decoration: none;
    transition-duration: 0.3s;
    font-weight: 700;
}

.button-base.active,
.button-base:hover {
    background-color: var(--color-yellow);
}






.frame-showoverflow>.ce-textpic {
    overflow: visible !important;
}



.frame-ruler-after::after {
    content: '';
    display: block;
    border-bottom: 1px solid var(--color-black);
    margin-top: 0.5em;
    margin-bottom: 1.5em;
}

.members a {
    display: inline-block;
    border: 7px solid var(--color-black);
    padding: 5px 20px;
    transition: border 0.2s ease;
}

.members a:hover {
    border: 7px solid var(--color-yellow);
    transition: border 0.2s ease;
}

.members a::after,
.members a::before {
    display: none !important;
}


#maincontent {
    overflow-x: hidden;
}

/*
    container
*/

.container-contentwrapper {
    max-width: var(--header-maxwidth);
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
    margin: 0 auto;
}

.container-contentwrapper.container-width-container-small {
    max-width: var(--header-maxwidthsmall);
}

/* Grid-Container */

.frame-type-container-1col.bg-width-container-small .container-bgcolor:not(.bgcolor-notdefined),
.frame-type-container-2cols.bg-width-container-small .container-bgcolor:not(.bgcolor-notdefined) {
    max-width: var(--header-maxwidthsmall);
    margin-left: auto;
    margin-right: auto;
}

.bg-width-container-small .container-contentwrapper {
    /*    padding: calc(1 * var(--defaultunit));*/
    padding-left: calc(1 * var(--defaultunit));
    padding-right: calc(1 * var(--defaultunit));
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
}

@media (max-width: 1200px) {
    .bg-width-container-small .container-contentwrapper {
        padding-left: calc(1 * var(--defaultunit));
        padding-right: calc(1 * var(--defaultunit));
    }
}

.container-col {
    min-width: 0
}

.hero + div.frame .container-col {
    position: relative;
    z-index: 1;
}

.frame-type-container-1col.bg-width-container-wide .container-bgcolor:not(.bgcolor-white),
.frame-type-container-2cols.bg-width-container-wide .container-bgcolor:not(.bgcolor-white) {
    padding-left: calc(2 * var(--defaultunit));
    padding-right: calc(2 * var(--defaultunit));
}
@media (max-width: 1200px) {
    .frame-type-container-1col.bg-width-container-wide .container-bgcolor:not(.bgcolor-white),
    .frame-type-container-2cols.bg-width-container-wide .container-bgcolor:not(.bgcolor-white) {
        padding-left: calc(1 * var(--defaultunit));
        padding-right: calc(1 * var(--defaultunit));
    }
}

.frame-type-container-1col.bg-width-container-wide .container-bgcolor.bgcolor-white,
.frame-type-container-2cols.bg-width-container-wide .container-bgcolor.bgcolor-white {
    padding-left: calc(1 * var(--defaultunit));
    padding-right: calc(1 * var(--defaultunit));
    margin-left: calc(1 * var(--defaultunit));
    margin-right: calc(1 * var(--defaultunit));
}

.frame-type-container-1col .container-bgcolor.bgcolor-white .container-col,
.frame-type-container-2cols .container-bgcolor.bgcolor-white .container-col{
    overflow-y:hidden;
}

.bgcolor-white .container-contentwrapper.container-width-container-small.container-type-default {
	padding-left: calc(1 * var(--defaultunit));
	padding-right: calc(1 * var(--defaultunit));
}

.frame-type-container-1col:has(.bgcolor-white),
.frame-type-container-2cols:has(.bgcolor-white) {
    padding-left:var(--defaultunit);
    padding-right:var(--defaultunit);
}


.bg-width-container-wide .container-contentwrapper {
    padding: calc(1 * var(--defaultunit)) 0;
}


.frame-type-container-2cols .container-contentwrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
}
.frame-type-container-2cols:has(.frame-layout-34) .container-contentwrapper {
	row-gap: 0;
}
.frame-type-container-2cols:has(.container-col1 .frame-layout-34):has(.container-col2 .frame-space-before-sub-medium) .container-contentwrapper {
	row-gap: 50px;
}

.frame-type-container-2cols .container-contentwrapper.container-gridtype-50-50 {
    grid-template-columns: repeat(2, 1fr);
}

.frame-type-container-2cols .container-contentwrapper.container-gridtype-33-66 {
    grid-template-columns: 1fr 2fr;
}

.frame-type-container-2cols .container-contentwrapper.container-gridtype-66-33 {
    grid-template-columns: 2fr 1fr;
}


.container-contentwrapper.disablecolumngap-1 {
    gap: 0;
    row-gap: 25px;
}

.container-col1.column-padding-1 {
    padding-right: calc(2 * var(--defaultunit));
}

.container-col2.column-padding-1 {
    padding-left: calc(2 * var(--defaultunit));
}

.container-col.justify-content-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* Mobile: 1 Spalte */
@media (max-width: 1000px) {

    .frame-type-container-2cols .container-contentwrapper.container-gridtype-50-50,
    .frame-type-container-2cols .container-contentwrapper.container-gridtype-66-33,
    .frame-type-container-2cols .container-contentwrapper.container-gridtype-33-66,
    .frame-type-container-2cols .container-contentwrapper {
        grid-template-columns: 1fr;
    }

    .container-col1.column-padding-1 {
        padding-right: 0;
    }

    .container-col2.column-padding-1 {
        padding-left: 0;
    }

}


.frame-type-container-1col .container-type-teaser .container-col {
    display: grid;
    gap: 25px;
}

.frame-type-container-1col .container-type-teaser[data-teasercolumns="2"] .container-col {
    grid-template-columns: repeat(2, 1fr);
}

.frame-type-container-1col .container-type-teaser[data-teasercolumns="3"] .container-col {
    grid-template-columns: repeat(3, 1fr);
}

.frame-type-container-1col .container-type-teaser[data-teasercolumns="4"] .container-col {
    grid-template-columns: repeat(4, 1fr);
}

@media (max-width: 1350px) {

    .frame-type-container-1col .container-type-teaser[data-teasercolumns="3"] .container-col {
        grid-template-columns: repeat(2, 1fr);
    }

    .frame-type-container-1col .container-type-teaser[data-teasercolumns="4"] .container-col {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 1000px) {
    .frame-type-container-1col .container-type-teaser[data-teasercolumns="4"] .container-col {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (max-width: 768px) {
    .frame-type-container-1col .container-type-teaser[data-teasercolumns="2"] .container-col {
        grid-template-columns: repeat(1, 1fr);
    }

    .frame-type-container-1col .container-type-teaser[data-teasercolumns="3"] .container-col {
        grid-template-columns: repeat(1, 1fr);
    }

    .frame-type-container-1col .container-type-teaser[data-teasercolumns="4"] .container-col {
        grid-template-columns: repeat(1, 1fr);
    }
}








/*
    frame-layout
*/

.frame-layout-34 {
    background: var(--color-ultralightgrey);
    margin-left: calc((-2) * var(--defaultunit));
    padding-left: calc((2) * var(--defaultunit));
    margin-top: calc((-2) * var(--defaultunit));
    margin-right: calc((1) * var(--defaultunit));
    position: relative;
    padding-top: calc((1) * var(--defaultunit));
    padding-right: calc((1) * var(--defaultunit));
    padding-bottom: calc((1) * var(--defaultunit));

    z-index: 1;
}

@media (max-width: 1000px) {
    .frame-layout-34 {
        margin-right: 0;
    }
}






/*
    news
*/
.knoll-news-list-items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 25px;
}



.knoll-news-item {
    background-color: var(--color-ultralightgrey);
    display: flex;
    flex-direction: column;
}

.bgcolor-ultralightgrey .knoll-news-item {
    background-color: var(--color-white);
}



.knoll-news-item:not(.knoll-news-item-cnt-1-0) .knoll-news-item-textwrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;

    padding: var(--defaultunit);
}

.knoll-news-item:not(.knoll-news-item-cnt-1-0) .knoll-news-item-header {
    flex: 1;
    hyphens: auto;
}

@media (max-width: 1023px) {
    .knoll-news-item:not(.knoll-news-item-cnt-1-0) .knoll-news-item-textwrapper {
        padding: 20px;
    }
}


@media (max-width: 699px) {
    .knoll-news-item-cnt-1-0 .knoll-news-item-textwrapper {
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 10px;

        padding: var(--defaultunit);
    }

    .knoll-news-item-cnt-1-0 .knoll-news-item-header {
        flex: 1;
    }
}

@media (min-width: 700px) {

    .knoll-news-item-cnt-1-0 {
        grid-column: span 2;
    }

    .knoll-news-item-cnt-1-0 {
        position: relative;
    }

    .knoll-news-item-cnt-1-0 .knoll-news-item-textwrapper {
        position: absolute;
        left: 0;
        right: 0;
        bottom: 0;
        padding: var(--defaultunit);
        color: var(--color-white) !important;
        z-index: 1;
    }

    .knoll-news-item-cnt-1-0 .knoll-news-item-textwrapper a {
        color: var(--color-white) !important;
    }

    .knoll-news-item-cnt-1-0 .knoll-news-item-textwrapper a.button-small::after {
        content: url(../Icons/menu-arrow-right.svg);
    }

    .knoll-news-item-cnt-1-0 h3 {
        margin-bottom: calc(var(--defaultunit) * 0.6);
    }

    .knoll-news-item-cnt-1-0 h3::after {
        content: '';
        display: block;
        height: var(--decoline-height);
        width: calc(1 * var(--decoline-width));
        margin-left: calc(var(--defaultunit) * (-1));
        background-color: var(--color-yellow);
        margin-top: calc(0.5 * var(--defaultunit));
    }

    .knoll-news-item-cnt-1-0 .news-img-wrap {
        height: 100%;
    }

    .knoll-news-item-cnt-1-0 .news-img-wrap img {
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .knoll-news-item-cnt-1-0 .news-img-wrap::before {
        content: '';
        background: linear-gradient(182deg, rgba(0, 0, 0, 0) 1.92%, rgba(0, 0, 0, 0.40) 64.91%);
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        z-index: 1;
    }
}

@media (max-width: 1023px) {
    .knoll-news-item-cnt-1-0 .knoll-news-item-textwrapper {
        padding: 20px;
    }    
}

@media (max-width: 1300px) {
    .knoll-news-list-items {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 1100px) {
    .knoll-news-list-items {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (max-width: 650px) {
    .knoll-news-list-items {
        grid-template-columns: 1fr;
    }

    .knoll-news-item-cnt-1-0 {
        grid-column: 1;
    }
}



.knoll-news-list .f3-widget-paginator {
    display: inline-grid;
    grid-template-columns: auto 1fr;
    grid-template-areas:
        "pages arrows";
    gap: 37px;

    margin: var(--defaultunit) 0;
    padding: 0;
    list-style: none;
}

.knoll-news-list .paginator-outer {
    text-align: right;
}

.knoll-news-list .pagination-page-wrapper {
    grid-area: pages;

    display: flex;
    gap: 10px;
    align-items: flex-end;
}

.knoll-news-list .pagination-page-wrapper li {
    display: inline-block;
}

.knoll-news-list .pagination-page-wrapper li a {
    color: inherit;
    text-decoration: none;
}

.knoll-news-list .pagination-page-wrapper li.current {
    font-weight: 700;
}

.knoll-news-list .pagination-arrows {
    grid-area: arrows;
    display: flex;
    gap: 25px;
    ;
}


.knoll-news-list .f3-widget-paginator li.previous a,
.knoll-news-list .f3-widget-paginator li.next a {
    display: block;
    width: 50px;
    height: 50px;
    border: 1px solid var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
}

.knoll-news-list .f3-widget-paginator li.previous a:hover,
.knoll-news-list .f3-widget-paginator li.next a:hover {
    background-color: var(--color-yellow);
}


.knoll-news-list .f3-widget-paginator li.previous a img,
.knoll-news-list .f3-widget-paginator li.next a img {
    display: block;
    width: 30px;
    height: 30px;
}


/*
 news detail
*/
.news-detail-image.news-detail-image--main {
    display: block;
    width: 100%;
    height: clamp(29.6875rem, -0.8681rem + 63.6574vw, 46.875rem);
    margin-bottom: calc(2.5 * var(--defaultunit));
}

.news-detail-image.news-detail-image--main img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}


.news-detail-gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-areas: "image3 image2 image1 image1";
    gap: 25px;
}

.news-detail-gallery-item:nth-child(1) {
    grid-area: image1;
}

.news-detail-gallery-item:nth-child(2) {
    grid-area: image2;
}

.news-detail-gallery-item:nth-child(3) {
    grid-area: image3;
}


@media (max-width: 1000px) {
    .news-detail-gallery {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
            "image1 image1"
            "image3 image2";
    }
}

@media (max-width: 650px) {
    .news-detail-gallery {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas:
            "image1"
            "image2"
            "image3";
    }
}



/*
    news template startseite
*/


.knoll-news-list-template-42 .knoll-news-list-items {
    display: grid;
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: auto 50px;
    grid-template-areas:
        "news1 news2 news3"
        "news1 linkoverview linkoverview";
    gap: 25px;
}

@media (max-width: 1300px) {
    .knoll-news-list-template-42 .knoll-news-list-items {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto;
        grid-template-areas:
            "news1 news1"
            "news2 news3"
            "linkoverview linkoverview";
    }
}

@media (max-width: 650px) {
    .knoll-news-list-template-42 .knoll-news-list-items {
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        grid-template-areas:
            "news1"
            "news2"
            "news3"
            "linkoverview";
    }

}


.knoll-news-list-template-42 .knoll-news-item:nth-child(1) {
    grid-area: news1;
}

.knoll-news-list-template-42 .knoll-news-item:nth-child(2) {
    grid-area: news2;
}

.knoll-news-list-template-42 .knoll-news-item:nth-child(3) {
    grid-area: news3;
}

.knoll-news-list-template-42 .news-list-linktooverview {
    grid-area: linkoverview;
    text-align: right;
}



.visually-hidden {
    position: absolute !important;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    border: 0;
    white-space: nowrap;
}





/*
search
*/
#kesearch_results .result-list-item .result-number,
#kesearch_results .result-list-item .result-title {
    font-size: 18px;
    font-weight: bold;
    color: var(--color-black);
}

#kesearch_results .result-list-item .result-number,
#kesearch_results .result-list-item .result-title a {
    color: inherit;
    text-decoration: none;
}

#kesearch_results .result-list-item .result-teaser {
    margin: 0 0 1em 0;
    padding: 0;
    font-size: var(--fs-copy-normal);
    line-height: 1.4em;
    color: var(--color-black) !important;
}

.tx-kesearch-pi1 #kesearch_results .result-list-item .hit {
    color: var(--color-black) !important;
    font-weight: bold;
}

.tx-kesearch-pi1 #ke_search_sword {
    border: 0;
    border-bottom: 1px solid var(--color-yellow);
    background: var(--color-ultralightgrey);
    color: var(--color-black);
    padding: 12px 10px;
    height: 45px;
    box-sizing: border-box;
}

.tx-kesearch-pi1 .resetbutt {
    display: none;
}



.tx-kesearch-pi1 .submitbutt input[type="submit"] {
    font-size: 15px;
    display: inline-block;
    line-height: 1;
    padding: 15px 20px;
    border: 1px solid var(--color-yellow);
    color: var(--color-black);
    text-decoration: none;
    transition-duration: 0.3s;
    font-weight: 700;
    background-color: transparent;
    padding-right: 40px;
    background: url(../Icons/menu-arrow-right-black.svg) calc(100% - 10px) center no-repeat;
    height: 45px;
    box-sizing: border-box;
}

.tx-kesearch-pi1 .submitbutt input[type=submit]:hover {
    background-color: var(--color-yellow);
    padding-right: 50px;
}

.kesearch_searchbox {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}


#kesearch_pagebrowser_top .pages_total,
#kesearch_pagebrowser_bottom .pages_total {
    border-top: 0 !important;
    border-bottom: 0 !important;
}

.kesearch_pagebrowser .active .page-link {
    font-weight: 700;
}

.kesearch_pagebrowser .pagination a {
    color: inherit;
    text-decoration: none;
}

#kesearch_pagebrowser_top .pages_total,
#kesearch_pagebrowser_bottom .pages_total {
    display: flex;
    flex-direction: column;
    gap: 25px;
}

.kesearch_pagebrowser ul {
    margin-top: 30px;
}

.kesearch_pagebrowser .pagination a.page-link.next,
.kesearch_pagebrowser .pagination a.page-link.prev {
    display: block;
    width: 50px;
    height: 50px;
    border: 1px solid var(--color-yellow);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 !important;
    color: transparent;
    transition: background-color 0.2s ease;
}

.kesearch_pagebrowser .pagination a.page-link.next:hover,
.kesearch_pagebrowser .pagination a.page-link.prev:hover {
    transition: background-color 0.2s ease;
    background-color: var(--color-yellow);
}

.kesearch_pagebrowser .pagination a.page-link.next {
    background-image: url(../Icons/pagination-next.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto 30px;
    margin-left: 20px;
}

.kesearch_pagebrowser .pagination a.page-link.prev {
    background-image: url(../Icons/pagination-prev.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: auto 30px;
    margin-right: 20px;
}

.kesearch_pagebrowser ul li.page-item.disabled {
    visibility: hidden;
}






.frame-type-form_formframework {
    background-color: var(--color-white);
    padding:var(--defaultunit);
}


.frame-type-form_formframework form .form-group {
    margin-bottom: 20px;
}

.frame-type-form_formframework form .form-group > div {
    flex:0 0 50%;
}

@media (max-width: 767px) {
    .frame-type-form_formframework form .form-group > div {
        flex:0 0 100%;
    }
}
.frame-type-form_formframework form > .row {
    display: flex;
    gap: 25px;
    justify-content: space-between;
}


.frame-type-form_formframework form .form-group label {
    margin-bottom: 10px;
    display: block;
    font-size: 16px;
}

.frame-type-form_formframework form > div > h2 {
     font-size: var(--fs-h6);
}

.frame-type-form_formframework form select,
.frame-type-form_formframework form input[type=text],
.frame-type-form_formframework form input[type=email],
.frame-type-form_formframework form input[type=number],
.frame-type-form_formframework form input[type=tel],
.frame-type-form_formframework form input[type=url],
.frame-type-form_formframework form input[type=telephone] {
    border: 0;
    border-bottom: 1px solid var(--color-yellow);
    background: var(--color-ultralightgrey);
    color: var(--color-black);
    padding: 12px 10px;
    height: 45px;
    box-sizing: border-box;
    width: 100%;
    font-size: 16px;
    font-family: Verdana, Geneva, Tahoma, DejaVu Sans, sans-serif;
}

.frame-type-form_formframework form select[multiple=multiple] {
    height:auto;
}

.frame-type-form_formframework form textarea {
    border: 0;
    border-bottom: 1px solid var(--color-yellow);
    background: var(--color-ultralightgrey);
    color: var(--color-black);
    padding: 12px 10px;
    box-sizing: border-box;
    width: 100%;
    font-size: 16px;
    height: 150px;
    font-family: Verdana, Geneva, Tahoma, DejaVu Sans, sans-serif;
}

.frame-type-form_formframework form .field.buttons {
    text-align: right;
}

.frame-type-form_formframework form button[type="submit"] {
    font-size: 15px;
    display: inline-block;
    line-height: 1;
    padding: 15px 20px;
    border: 1px solid var(--color-yellow);
    color: var(--color-black);
    text-decoration: none;
    transition-duration: 0.3s;
    font-weight: 700;
    background-color: transparent;
    padding-right: 40px;
    background: url(../Icons/menu-arrow-right-black.svg) calc(100% - 10px) center no-repeat;
    height: 45px;
    box-sizing: border-box;
    margin-left: auto;
}

.frame-type-form_formframework form button[type="submit"]:hover {
    background-color: var(--color-yellow);
    padding-right: 50px;
}


.frame-type-form_formframework.frame-invertform  {
    background-color: var(--color-ultralightgrey);
}

.frame-type-form_formframework.frame-invertform  form select,
.frame-type-form_formframework.frame-invertform  form input[type=text],
.frame-type-form_formframework.frame-invertform  form input[type=email],
.frame-type-form_formframework.frame-invertform form input[type=number],
.frame-type-form_formframework.frame-invertform form input[type=tel],
.frame-type-form_formframework.frame-invertform form input[type=url],
.frame-type-form_formframework.frame-invertform  form input[type=telephone],
.frame-type-form_formframework.frame-invertform  form textarea,
.frame-type-form_formframework.frame-invertform  form button[type="submit"] {
    background-color: var(--color-white);
}


.frame-type-form_formframework form .form-check-label {
    display: flex;
    gap: 10px;
    align-items: flex-start;
}

.frame-type-form_formframework form h2 {
 font-size: var(--fs-h3);   
}

.frame-type-form_formframework form .actions {
    text-align: right;
}


.typo3-messages {
    list-style: none;
    margin: 0 0 var(--defaultunit) 0;
    padding: 0;
}

.typo3-messages .alert {
    padding:var(--defaultunit)
}

.typo3-messages .alert-success {
    color:var(--color-black);
    background-color: var(--color-yellow);
}

.typo3-messages .alert-title {
    margin: 0 0 0.5em 0;
    padding: 0;
    line-height: 1.2em;
    font-size: var(--fs-h4);
}

.typo3-messages .alert-message {
    margin: 0 0 0 0;
    padding: 0;
    font-size: var(--fs-copy-normal);
    line-height: 1.4em;    
}




.ce-gallery:has(.video),
.ce-column:has(.video),
.video {
    width: 100%;
}


.cookie-consent-container {
	--color-primary: var(--color-yellow) !important;
}

.cookie-consent-container .buttons .btn {
	background-color: var(--color-yellow) !important;
	color: var(--color-black) !important;
	border: 2px solid var(--color-black) !important;
}

.cookie-consent-container .buttons .btn:hover {
	background-color: var(--color-black) !important;
    color: var(--color-yellow) !important;
}

.cookie-consent-container a, .cookie-consent-container a:visited, .cookie-consent-container a:active, .cookie-consent-container a:focus, .cookie-consent-container a:focus:active {
	color: var(--color-black) !important;
}

.cookie-consent-container .show-details {
	color: var(--color-black) !important;
}

.cookie-consent-container .label:hover .checkmark {
	background-color: var(--color-yellow-50) !important;
}

.cookie-consent-container .label .checkmark::after {
	border: solid var(--color-black) !important;
    border-width: 0 2px 2px 0 !important;
}